import os

COMING_SOON = False

LANGUAGE_CODE = 'de-be'

LANGUAGES = (('de', 'Deutsch'),)

RADIO_NAME = 'Studio Néau'
RADIO_LONG_NAME = RADIO_NAME
RADIO_META_DESCRIPTION = 'Gemeinschaftsradio in Ostbelgien'
WEBSITE_BASE_URL = 'https://www.studioneau.be/'
RADIO_STREAM_URLS = [
    {
        'id': 'mp3',
        'url': 'https://studioneau.out.airtime.pro/studioneau_a',
        'type': 'audio/mpeg',
    },
]

COMBO_MAP_DEFAULT_POSITION = {'lat': 50.62575, 'lng': 6.03240}
COMBO_MAP_TILE_URLTEMPLATE = 'https://tiles.entrouvert.org/toner/{z}/{x}/{y}.png'
COMBO_MAP_MAX_BOUNDS = {
    'corner1': {'lat': 50.6798, 'lng': 5.8727},
    'corner2': {'lat': 50.5716, 'lng': 6.1921},
}
COMBO_MAP_ATTRIBUTION = (
    'Data by <a href="http://openstreetmap.org">OpenStreetMap</a>, '
    'under <a href="http://www.openstreetmap.org/copyright">ODbL</a>.'
)

HOME_EMISSIONS_COUNT = 12
HOME_FOCUS_COUNT = 6
HOME_NEWSITEMS_COUNT = 9
HOME_PODCASTS_COUNT = 0
HOME_COLLECTION_COUNT = 0

PROGRAM_PREFIX = 'schedule/'
EMISSIONS_PREFIX = 'emissions/'
NEWSITEMS_PREFIX = 'news/'

ONAIR_ALWAYS_INCLUDE_TRACK_METADATA = True

ENABLE_PIWIK = False

NEWSLETTER_SEND_CONFIRMATION = False
NEWSLETTER_SERVICE = 'mailchimp'
MAILCHIMP_DC = None
MAILCHIMP_APIKEY = None
MAILCHIMP_LIST_ID = None

INSTALLED_APPS = list(INSTALLED_APPS) + ['panikweb_studioneau']

TEMPLATES[0]['DIRS'].insert(0, os.path.join(os.path.dirname(local_settings_file), 'templates'))

STATICFILES_DIRS = [
    os.path.join(os.path.dirname(local_settings_file), 'static'),
] + list(STATICFILES_DIRS)


LOCALE_PATHS = [
    os.path.join(os.path.dirname(local_settings_file), 'locale'),
] + list(LOCALE_PATHS)

COMBO_PUBLIC_TEMPLATES = {
    'standard': {
        'name': 'Page',
        'template': 'combo/page_template.html',
        'placeholders': {
            'content': {
                'name': 'Content',
            },
            'footer': {
                'name': 'Footer',
                'optional': True,
            },
        },
    },
}

extra_local_settings_file = os.environ.get(
    'PANIKWEB_STUDIONEAU_SETTINGS_FILE',
    os.path.join(os.path.dirname(local_settings_file), 'local_settings.py'),
)
if os.path.exists(extra_local_settings_file):
    exec(open(extra_local_settings_file).read())
